
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;
attribute vec3 a_glow;
attribute float a_grayscale;
attribute float a_texUnit;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying lowp float v_texUnit;
#else
varying vec2 v_texCoord;
varying float v_texUnit;
#endif

void main()
{
    vec4 position = CC_MVPMatrix * a_position;

    gl_Position = position;
    v_texCoord = a_texCoord;
    v_texUnit = a_texUnit;
}